Returns guidance data
curl --request GET \
--url 'https://api.benzinga.com/api/v2.1/calendar/guidance?token=' \
--header 'accept: <accept>'import requests
url = "https://api.benzinga.com/api/v2.1/calendar/guidance?token="
headers = {"accept": "<accept>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {accept: '<accept>'}};
fetch('https://api.benzinga.com/api/v2.1/calendar/guidance?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.benzinga.com/api/v2.1/calendar/guidance?token=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"accept: <accept>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.benzinga.com/api/v2.1/calendar/guidance?token="
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("accept", "<accept>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.benzinga.com/api/v2.1/calendar/guidance?token=")
.header("accept", "<accept>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.benzinga.com/api/v2.1/calendar/guidance?token=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = '<accept>'
response = http.request(request)
puts response.read_body{
"guidance": [
{
"currency": "USD",
"cusip": "00BMCD000",
"date": "2026-01-05",
"eps_guidance_est": "",
"eps_guidance_max": "",
"eps_guidance_min": "",
"eps_guidance_prior_max": "",
"eps_guidance_prior_min": "",
"eps_type": "",
"exchange": "NASDAQ",
"id": "695bcc0c83cac20001becbd4",
"importance": 1,
"is_primary": "Y",
"name": "RedCloud Holdings",
"notes": "",
"period": "FY",
"period_year": 2026,
"prelim": "Y",
"revenue_guidance_est": "91170920.000",
"revenue_guidance_max": "100000000.000",
"revenue_guidance_min": "100000000.000",
"revenue_guidance_prior_max": "100000000",
"revenue_guidance_prior_min": "100000000.000",
"revenue_type": "GAAP",
"ticker": "RCT",
"time": "09:30:00",
"updated": 1767623735
}
]
}
{
"ok": false,
"errors": [
{
"code": "auth_failed",
"id": "unauthorized",
"value": "Invalid or missing authentication token"
}
]
}
{
"ok": false,
"errors": [
{
"code": "no_data_found",
"id": "not_found",
"value": "No data found for the specified parameters"
}
]
}
{
"ok": false,
"errors": [
{
"code": "internal_server_error",
"id": "server_error",
"value": "An unexpected error occurred while processing your request"
}
]
}
Calendars
Guidance
Returns company guidance data including forward-looking earnings and revenue projections provided by company management. Includes EPS guidance ranges (min/max), revenue guidance ranges, and comparisons to prior guidance. Guidance is crucial for understanding management’s expectations for future performance.
GET
/
api
/
v2.1
/
calendar
/
guidance
Returns guidance data
curl --request GET \
--url 'https://api.benzinga.com/api/v2.1/calendar/guidance?token=' \
--header 'accept: <accept>'import requests
url = "https://api.benzinga.com/api/v2.1/calendar/guidance?token="
headers = {"accept": "<accept>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {accept: '<accept>'}};
fetch('https://api.benzinga.com/api/v2.1/calendar/guidance?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.benzinga.com/api/v2.1/calendar/guidance?token=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"accept: <accept>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.benzinga.com/api/v2.1/calendar/guidance?token="
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("accept", "<accept>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.benzinga.com/api/v2.1/calendar/guidance?token=")
.header("accept", "<accept>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.benzinga.com/api/v2.1/calendar/guidance?token=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = '<accept>'
response = http.request(request)
puts response.read_body{
"guidance": [
{
"currency": "USD",
"cusip": "00BMCD000",
"date": "2026-01-05",
"eps_guidance_est": "",
"eps_guidance_max": "",
"eps_guidance_min": "",
"eps_guidance_prior_max": "",
"eps_guidance_prior_min": "",
"eps_type": "",
"exchange": "NASDAQ",
"id": "695bcc0c83cac20001becbd4",
"importance": 1,
"is_primary": "Y",
"name": "RedCloud Holdings",
"notes": "",
"period": "FY",
"period_year": 2026,
"prelim": "Y",
"revenue_guidance_est": "91170920.000",
"revenue_guidance_max": "100000000.000",
"revenue_guidance_min": "100000000.000",
"revenue_guidance_prior_max": "100000000",
"revenue_guidance_prior_min": "100000000.000",
"revenue_type": "GAAP",
"ticker": "RCT",
"time": "09:30:00",
"updated": 1767623735
}
]
}
{
"ok": false,
"errors": [
{
"code": "auth_failed",
"id": "unauthorized",
"value": "Invalid or missing authentication token"
}
]
}
{
"ok": false,
"errors": [
{
"code": "no_data_found",
"id": "not_found",
"value": "No data found for the specified parameters"
}
]
}
{
"ok": false,
"errors": [
{
"code": "internal_server_error",
"id": "server_error",
"value": "An unexpected error occurred while processing your request"
}
]
}
{
"guidance": [
{
"currency": "USD",
"cusip": "00BMCD000",
"date": "2026-01-05",
"eps_guidance_est": "",
"eps_guidance_max": "",
"eps_guidance_min": "",
"eps_guidance_prior_max": "",
"eps_guidance_prior_min": "",
"eps_type": "",
"exchange": "NASDAQ",
"id": "695bcc0c83cac20001becbd4",
"importance": 1,
"is_primary": "Y",
"name": "RedCloud Holdings",
"notes": "",
"period": "FY",
"period_year": 2026,
"prelim": "Y",
"revenue_guidance_est": "91170920.000",
"revenue_guidance_max": "100000000.000",
"revenue_guidance_min": "100000000.000",
"revenue_guidance_prior_max": "100000000",
"revenue_guidance_prior_min": "100000000.000",
"revenue_type": "GAAP",
"ticker": "RCT",
"time": "09:30:00",
"updated": 1767623735
}
]
}
{
"ok": false,
"errors": [
{
"code": "auth_failed",
"id": "unauthorized",
"value": "Invalid or missing authentication token"
}
]
}
{
"ok": false,
"errors": [
{
"code": "no_data_found",
"id": "not_found",
"value": "No data found for the specified parameters"
}
]
}
{
"ok": false,
"errors": [
{
"code": "internal_server_error",
"id": "server_error",
"value": "An unexpected error occurred while processing your request"
}
]
}
Headers
Query Parameters
Was this page helpful?